import { defineComponent as l, openBlock as p, createBlock as c, resolveDynamicComponent as i, normalizeStyle as m, unref as e, normalizeClass as f, withCtx as u, renderSlot as d } from "vue";
import { useTheme as C } from "../../composables/useTheme.js";
const _ = {
  tag: {
    default: "div",
    type: String
  }
}, y = { name: "XPopoverContainer" }, P = /* @__PURE__ */ l({
  ...y,
  props: _,
  setup(t) {
    const s = t, { styles: r, classes: n, className: a } = C("PopoverContainer", {}, s);
    return (o, v) => (p(), c(i(o.tag), {
      style: m(e(r)),
      class: f([
        e(a),
        e(n).wrapper
      ])
    }, {
      default: u(() => [
        d(o.$slots, "default")
      ]),
      _: 3
    }, 8, ["style", "class"]));
  }
});
export {
  P as default
};
